/**
 * Site Header, including Primary & Secondary Navigation
 */


/* Add a bit of extra top padding to the header, when the page is not scrolled */

#top > .container  {
	transition: padding 0.2s ease;
}

@media screen and (min-width: 691px) {
	body:not(.wstl-js-page-scrolled) #top > .container {
		padding-top: 15px;
	}
}



/*! ===== Primary Navigation ===== */

/* All menu item links */
header#top nav li a {
	font-weight: 500;
}


/*! ----- Nav: Ghost on Hover Effect ----- */

/* Ghost links on parent menu hover */

header#top nav li a ,
header#top nav > ul > .menu-item > a,
header#top nav .sf-menu li ul li a {
	-webkit-transition: all 0.3s ease;
	   -moz-transition: all 0.3s ease;
	        transition: all 0.3s ease;
}
header#top nav:hover > ul > li > a,  /* top menu bar */
header#top nav ul ul:hover li a {    /* sub-menus */
	opacity: 0.7;
}
/* make links opaque when active */
header#top nav ul li.current-menu-item > a,
header#top nav ul li.current-menu-ancestor > a,
header#top nav ul li > a:hover,
header#top nav ul li > a:focus,
header#top nav ul ul li.current-menu-item > a,
header#top nav ul ul li.current-menu-ancestor > a,
header#top nav ul ul li > a:hover,
header#top nav ul ul li > a:focus {
	opacity: 1;
}

/* Ghost within transparent header */

/* Override to start opaque */
body #header-outer.transparent header#top nav > ul.sf-menu > li > a {
	opacity: 1;
}
/* Reproduce standard header hover effects with stricter selectors */
body #header-outer.transparent header#top nav:hover > ul.sf-menu > li > a {
	opacity: 0.7;
}
body #header-outer.transparent header#top nav > ul.sf-menu > li.current-menu-item > a,
body #header-outer.transparent header#top nav > ul.sf-menu > li.current-menu-ancestor > a,
body #header-outer.transparent header#top nav > ul.sf-menu > li > a:hover,
body #header-outer.transparent header#top nav > ul.sf-menu > li > a:focus {
	opacity: 1;
}


/*! ----- Nav: Top-Level Menu ----- */

/*! - Nav: Top: Reposition Salient's hover underlines to the bottom of the header - */

#header-outer[data-lhe="animated_underline"] #top nav > ul > li > a {
	/* fill parent LI height */
	display: flex;
	align-items: center;
	text-align: center;
	height: 100%;
	/* clear z-index so inner underline can be set */
	z-index: auto;
}
/* Undo full height for button menu items */
#header-outer[data-lhe="animated_underline"] #top nav > ul > li[class*="button_"] > a {
	height: auto;
}

#header-outer[data-lhe="animated_underline"] #top nav > ul > li > a::after {
	left:   0;
	right:  0;
	bottom: 0;
	width: auto;
	border-top-width: 4px;
	/* keep above the sub/mega menu (box shadow) */
	z-index: 1000;
}
/* Nudge the hover underline to exclude any arrow width */
#header-outer[data-lhe="animated_underline"] #top nav > .sf-arrows > .menu-item-has-children > a::after {
	right: calc(10px + 1em);
}
/* Compensate for negative bottom margin on transparent header links */
#header-outer[data-lhe="animated_underline"][data-transparent-header="true"].transparent #top nav > ul > li > a::after {
	bottom: 1px;
}


/* Remove underline from current menu item */
#header-outer[data-lhe="animated_underline"] .sf-menu .current-menu-item >a:after,
#header-outer[data-lhe="animated_underline"] .sf-menu .current-menu-ancestor >a:after {
	-webkit-transform: scaleX(0);
	    -ms-transform: scaleX(0);
	        transform: scaleX(0);
}

/* Keep accent color on dark transparent header */
#header-outer[data-lhe="animated_underline"].transparent.dark-slide #top nav > ul > li > a:hover > .sf-sub-indicator > i,
#header-outer[data-lhe="animated_underline"].transparent.dark-slide #top nav > ul > li.sfHover > a > .sf-sub-indicator > i {
	color: #DA1D47 !important;
}
#header-outer[data-lhe="animated_underline"].transparent.dark-slide #top nav > ul > li > a:after {
	border-color: #DA1D47 !important;
}

/*! - Nav: Top: Tweak arrows for top menu items with sub-menus - */

body #top .sf-sub-indicator {
	opacity: 0.5;
}
/* Opaque when parent hovered */
body #top .menu-item:hover .sf-sub-indicator,
body #top .menu-item-over .sf-sub-indicator {
	opacity: 1;
}

body #top .sf-sub-indicator [class*="icon-"] {
	top: -0.2em;
	font-size: 1em;
}

/*! - Nav: Top: Add arrows next to links of top menu items with sub-menus - */
/* DISABLED in favor of Salient's built-in option Dropdown/Megamenu > Header Dropdown Arrows (tweaks above) */

DISABLED #header-outer #top nav > ul > li.menu-item-has-children > a {
	padding-right: 1.5em;
	white-space: nowrap;
}

/* Note: ::after is used by Salient's hover underlines */
DISABLED #top nav > ul > .menu-item-has-children > a::before {
	position: absolute;
	/*right: 20px;  /* Salient's Menu Item Spacing setting */
	right: 0;
	opacity: 0.5;
	/* replicate Font Awesome icon */
	content: "\f078";  /* fa-chevron-down */
	font-family: 'Font Awesome 5 Pro';
	font-size: inherit;
	font-weight: inherit;
	font-style: normal;
	line-height: inherit;
	text-decoration: inherit;
	color: inherit;
	background: transparent;
	-webkit-font-smoothing: antialiased;
}

/* nudge the hover underline to just under the text */
DISABLED #header-outer[data-lhe="animated_underline"] #top nav > ul > .menu-item-has-children > a::after {
	right: 1.5em;
}

/*! - Nav: Top: Tighten spacing on smaller screens - */

@media screen and (max-width: 1200px) {
	body #header-outer #top nav > ul > li.menu-item > a {
		margin-left:  8px;
		margin-right: 8px;
	}
}


/*! ----- Nav: Button-style Menu Item ----- */
/* Salient "button" styled menu links (via Menu Item Style dropdown) */

/* Match our increased button padding style */
body #header-outer header#top nav > ul > li.menu-item[class*="button_"] > a,
/* maintain padding on transparent, dark headers */
body #header-outer.transparent.dark-slide header#top nav > ul > li.menu-item[class*="button_"].menu-item-over > a,
body #header-outer.transparent.dark-slide header#top nav > ul > li.menu-item[class*="button_"] > a:hover {
	padding: 0 1.75em;
	font-size: 15px;
	text-align: center;
	color: #283B4D !important;
}
/* maintain text color when on the button's page */
#header-outer.transparent #top nav .sf-menu > .current-menu-item[class*="button_"] > a {
	color: #283B4D !important;
}

body #header-outer header#top nav > ul > li[class*="button_"] > a:before {
	padding: 1em 0;
	height: 100%;
}
/* add in border width all other buttons have, for overall height */
body #header-outer header#top .container nav > ul > li[class*="button_solid"] > a:before {
	background: #FFC700 !important;
	border: 2px solid transparent;
}


/*! ----- Nav: Search Button ----- */

/* ghost links on parent menu hover */
header#top nav:hover #search-btn a {
	opacity: 0.7;
}
/* opaque when active */
header#top nav #search-btn a.open-search,
header#top nav #search-btn a:hover,
header#top nav #search-btn a:focus {
	opacity: 1;
}

/* search icon */
body #header-outer.transparent header#top nav ul #search-btn a span.icon-salient-search {
	opacity: 1 !important;  /* keep opaque */
}

/* remove menu divider */
body header#top nav ul.buttons #search-btn > div,
body #header-outer[data-transparent-header] header#top nav ul.buttons #search-btn > div {
	padding: 0;
	border: none;
}


/*! ----- Nav: Sub-menus Animation ----- */

/* transition out; keep top set so transition is visible (otherwise just disappears) */
header#top nav > ul > li > .sub-menu {
	transition: opacity 0.2s ease-in, top 1s step-end;
}
/* transition in */
header#top nav > ul > li.sfHover > .sub-menu {
	transition: opacity 0.4s ease-in-out;
}

/* delay the menu content slide-up for our added opacity transition */
header#top nav > ul > li.sfHover > .sub-menu > li {
	transition-delay: 0.2s;
}


/*! ----- Nav: Sub-menus ----- */

header#top nav .sub-menu {
	-webkit-box-shadow: 0 1px 4px rgba(0, 0, 0, 0.5);
	        box-shadow: 0 1px 4px rgba(0, 0, 0, 0.5);
}

/* 1st-level sub-menus only */
header#top nav > ul > li > .sub-menu {}

/* sub-menu links */
header#top nav .sub-menu li > a {
	line-height: 1.2;
}


/*! ----- Nav: Icons Support ----- */

/* Icons (via Font Awesome) */
header#top nav .sub-menu li > a [class*="fa-"] {
	top: -0.1em;  /* better vertical centering */
	/* hang left, outside text box */
	margin-right: 0.75em;  /* extra space before text */
	margin-left: -1.75em;  /* offset width + space before text */
	width:  1em;
	height: 1em;
	font-size: 1em;
	line-height: 1;
	opacity: 0.35;
}

header#top nav .wstl-sub-menu-icons > .sub-menu > li > a {
	padding-left: 70px;  /* accommodate icons */
}
/* Mega Menu heading inside a sub-menu with icons */
header#top nav li.megamenu.wstl-sub-menu-icons > ul.sub-menu > li > a {
	padding-left: 40px;
}


/*! ----- Nav: Mega Menus ----- */

/* mega menu parent */
body header#top nav > ul > li.megamenu {}

/* mega menu container */
body header#top nav > ul > li.megamenu > ul.sub-menu {
	/* switch from table layout to flex */
	display: flex;
	flex-wrap: wrap;
}
/* non-full width manual sizes */
body header#top nav > ul > li.megamenu[class*="wstl-width-"] > ul.sub-menu {
	left: auto;
}
body header#top nav > ul > li.megamenu.wstl-width-1 > ul.sub-menu {
	width: 240px;  /* standard sub-menu width */
	margin-left: calc(-120px + (20px + 1em));
}
body header#top nav > ul > li.megamenu.wstl-width-2 > ul.sub-menu {
	width: 540px;  /* double + 60px of 2nd col side pad */
	margin-left: calc(-270px + (20px + 1em));
}

/*! --- Nav: Mega Menu: Columns (1st-level Sub-menu Items) --- */

/* change default width to 100% since we're doing inner flex columns instead */
#top nav > ul > .megamenu > ul > li {
	width: 100%;
}

body header#top nav > ul > li.megamenu > ul.sub-menu > li:nth-child(n + 2) {
	border-left: 1px solid #E1E1E1;
}

/*! --- Nav: Mega Menu: Headings (1st-level Sub-menu Links) --- */

body header#top nav > ul > li.megamenu > ul.sub-menu > li > a {
	margin: 0 auto 1.5em;
	font-size: 14px;
	letter-spacing: 5px;
	text-transform: uppercase;
}
/* Don't show pointer cursor */
body header#top nav > ul > li.megamenu > ul > li > a[href="#"]:hover {
	cursor: default;
}
/* Keep opaque when the active megamenu column */
body header#top nav > ul > li.megamenu > ul > li:hover > a  {
	opacity: 1;
}

/* Hidden headings */
body header#top nav > ul > li.megamenu.wstl-hide-headings > ul > li {
	padding-top: 6px;  /* add back top pad lost from hiding the heading */
}

body header#top nav > ul > li.megamenu.wstl-hide-headings > ul > li > a {
	display: none;
}

/*! --- Nav: Mega Menu: Sub-menus (2nd-level Sub-menus) --- */

/* Display items in a grid of horizontal rows */
body header#top nav > ul > li.megamenu > ul .sub-menu {
	display: flex !important;
	flex-wrap: wrap;
}

body header#top nav > ul > li.megamenu > ul .sub-menu > .menu-item {
	width: 25%;  /* default to 4-up */
	margin-bottom: 0.5em;
	padding-right: 30px;  /* matches Salient's mega menu outside padding */
}
/* Mega menu - 2 columns */
body header#top nav > ul > li.megamenu.columns-2 > ul .sub-menu > .menu-item,
/* Sub-menu - 2-up sub items */
body header#top nav > ul > li.megamenu > ul .wstl-col-2 > .sub-menu > .menu-item {
	width: 50%;
}
/* Sub-menu - 1-up sub items */
body header#top nav > ul > li.megamenu > ul .wstl-col-1 > .sub-menu > .menu-item {
	width: 100%;
}
/* Sub-menu - 3-up sub items */
body header#top nav > ul > li.megamenu > ul .wstl-col-3 > .sub-menu > .menu-item {
	width: 33.33%;
}

/* Item links */
body header#top nav > ul > li.megamenu> ul .sub-menu > .menu-item > a {
	font-size: 14px;
}

/* Item description text */
#top .megamenu .wstl-description {
	display: block;
	margin-top:    0.5em;
	margin-bottom: 0.5em;
	font-size: 0.85em;
	font-weight: 400;
	color: #283B4D;
}

/*! --- Nav: Mega Menu: Footer --- */
/* Last menu item in a Mega Menu, at same level as headings, but displays in its own row as a link */

body #header-outer header#top nav > ul > li.megamenu > ul.sub-menu > li.wstl-footer {
	width: 100%;
	border: none;
}

body #header-outer header#top nav > ul > li.megamenu > ul.sub-menu > li.wstl-footer > a {
	display: inline-block;
	margin: 1em 0 0;
	font-size: 0.8333em;  /* ~10px (menu default 12px) */
	letter-spacing: 0.35em;
}
body #header-outer header#top nav > ul > li.megamenu > ul.sub-menu > li.wstl-footer > a:hover {
	color: #283B4D !important;
}
body #header-outer header#top nav > ul > li.megamenu > ul.sub-menu > li.wstl-footer > a::after {
	content: '>';
	display: inline-block;
	margin-left: 0.5em;
	transition: transform 0.2s ease;
}
body #header-outer header#top nav > ul > li.megamenu > ul.sub-menu > li.wstl-footer > a:hover::after {
	transform: translateX(0.25em);
}

/*! --- Nav: Mega Menu: @large desktop --- */

@media screen and (min-width: 1301px) {
	/* extra menus width */
	body header#top nav > ul > li.megamenu.wstl-width-1 > ul.sub-menu {
		width: 280px;  /* 240px + extra 40px of side padding (below) */
		margin-left: calc(-140px + (40px + 1em));
	}
	body header#top nav > ul > li.megamenu.wstl-width-2 > ul.sub-menu {
		width: 600px;  /* double + 2nd col extra 40px side padding */
		margin-left: calc(-300px + (40px + 1em));
	}

	/* extra outer/columns padding */
	body header#top nav > ul > li.megamenu > ul.sub-menu > li {
		padding-left: 50px;
	}
	body header#top nav > ul > li.megamenu > ul.sub-menu > li:last-child {
		padding-right: 0;
	}

	body header#top nav > ul > li.megamenu > ul .sub-menu > .menu-item {
		padding-right: 50px;
	}
}



/*! ===== Mobile Navigation ===== */

/* mobile search icon */
#header-outer .mobile-search {
	text-decoration: none;
}

#header-outer #mobile-menu {
	padding-bottom: 20px;
}

/* Hide the last menu item's bottom border */
#header-outer #mobile-menu .menu-items-wrap > ul:last-child > li:last-child::after {
	display: none;
}

/* All links */
#header-outer #mobile-menu ul li a {
	padding: 20px 0;
	font-weight: 500;
	text-decoration: none;
}
/* Don't change color on hover or current state */
#header-outer #mobile-menu ul li a:hover,
#header-outer #mobile-menu ul li[class*="current"] > a {
	color: #283B4D !important;
}


/*! ----- Mobile Nav: Sub-menus ----- */

#header-outer #mobile-menu ul ul {}

#header-outer #mobile-menu ul ul li a {
	color: #DA1D47 !important;
}

/* With icons */
#header-outer #mobile-menu .sub-menu-icons ul ul li > a {
	padding-left: 1.75em;  /* accommodate icons */
}
/* icons (via Font Awesome) */
#header-outer #mobile-menu ul li a :not(.sf-sub-indicator) [class*="fa-"] {
	top: -0.1em;  /* better vertical centering */
	/* hang left, outside text box */
	margin-right: 0.75em;  /* extra space before text */
	margin-left: -1.75em;  /* offset width + space before text */
	width:  1em;
	height: 1em;
	font-size: 1em;
	line-height: 1;
	opacity: 0.35;
}

/* Item description text */
#header-outer #mobile-menu .menu-item .wstl-description {
	display: block;
	margin-top: 0.5em;
	font-size: 0.85em;
	font-weight: 400;
	color: #283B4D;
}


/*! ----- Mobile Nav: Button-style Menu Item ----- */
/* Note the Salient button style class is removed on the mobile menu */

#header-outer #mobile-menu .menu-item.wstl-mobile-button {
	padding-top:    20px;
	padding-bottom: 20px;
}

#header-outer #mobile-menu .menu-item.wstl-mobile-button > a {
	display: inline-block;
	padding: 1em 2.25em;
	width: 100%;
	font-size: 15px;
	font-weight: 500;
	text-align: center;
	color:      #283B4D !important;
	background: #FFC700;
	border: 2px solid transparent;
	border-radius: 200px;
	transition: all 0.2s ease;
}
#header-outer #mobile-menu .menu-item.wstl-mobile-button > a:hover {
	opacity: 0.9;
}


/*! ----- Mobile Nav: Mega Menus ----- */
/* Note: .megamenu class gets stripped from the mobile menu, but .colums-x classes remain */
/* Note: if no headers, submenu gets flattened and .columns-x class removed */

/* Multi-column mega menu headers */
#header-outer #mobile-menu .menu-item-has-children[class*="columns-"] > ul > li > a,
/* Footer links (See all ...) */
#header-outer #mobile-menu .menu-item-has-children > ul > li.wstl-footer > a {
	/* mimic .wstl-eyebrow */
	font-size: 14px;
	font-weight: 600;
	letter-spacing: 5px;
	text-transform: uppercase;
	color: #616569 !important;
}

/* Hide the indicator arrow for the headers */
#header-outer #mobile-menu .menu-item-has-children[class*="columns-"] > ul > li > a .sf-sub-indicator {
	display: none;
}

/* Remove the border below headers */
#header-outer #mobile-menu .menu-item-has-children[class*="columns-"] ul ul > li:first-child::before {
	display: none;
}

/* Add some bottom pad to match to top whitespace between the header */
#header-outer #mobile-menu .menu-item-has-children[class*="columns-"] ul ul > li:last-child {
	padding-bottom: 20px;
}

/* Keep sub-items at same indentation as the header */
#header-outer #mobile-menu .menu-item-has-children[class*="columns-"] ul ul > li > a {
	margin-left: 20px;
}

/* Mega menu sub-sub-menus are open by default */
#header-outer #mobile-menu .menu-item-has-children[class*="columns-"] ul ul {
	display: block !important;
}
#header-outer #mobile-menu .menu-item-has-children[class*="columns-"].visible ul ul > li > a span {
	opacity: 1;
	-webkit-transform: translateX(0);
	        transform: translateX(0);
}

/*! --- Mobile Nav: Mega Menus: Footer Link --- */

/* push to end of list (due to submenu flattening putting it first) */
#mobile-menu .menu-item-has-children.current-open-item:not([class*="columns-"]) > ul {
	display: flex !important;
	flex-direction: column;
}
#mobile-menu li.wstl-footer {
	order: 1;
}

#mobile-menu li.wstl-footer > a span span::after {
	content: '>';
	display: inline-block;
	margin-left: 0.5em;
}



/*! ===== Secondary Header (Top Bar) ===== */

#header-secondary-outer {}

#header-secondary-outer #social {
	float: right !important;
}

#header-secondary-outer .sf-menu {
	float: left;
}

/* nav icons */
body[data-header-color] #header-secondary-outer nav > ul > li > a {
    padding: 10px 0 !important;
    font-weight: 700;
    letter-spacing: 0.1em;
	border-left: 0;
}

body[data-header-color] #header-secondary-outer nav > ul > li:last-child {
	border-right: 0;
}

/* "We Power..." heading */
#header-secondary-outer nav > ul:last-child > li:hover > a {
	color: #616569 !important;
	cursor: default;
}


/*! ----- Secondary Header: Wisetail Extras ----- */

#header-secondary-outer .wstl-extras {
	float: right;  /* sit adjacent to social icons */
}

#header-secondary-outer .wstl-extras li {
	float: left;
	margin-right: 0.5em;
	padding-top: 1px;
	font-size: 11px;
	font-weight: 700;
	letter-spacing: 0.1em;
	text-transform: uppercase;
	line-height: 1;
}

#header-secondary-outer .wstl-extras a {
	display: block;
	padding: 10px 0.5em;
	color: #616569;
}

#header-secondary-outer .wstl-extras a:hover,
#header-secondary-outer .wstl-extras a:active,
#header-secondary-outer .wstl-extras a:focus {
	color: rgba(0, 0, 0, 0.55);
}

@media screen and (max-width: 999px) {

	#header-secondary-outer .wstl-extras {
		display: none;  /* avoid issues with mobile secondary menu */
	}
}



/*! ===== Search Overlay ===== */

#search-outer #search input[type=text] {
	font-family: inherit;
}

#search-outer #close a {
	text-decoration: none;
}
